Debian Bug report logs - #490010
pasting formated text (from GUI browsers or pidgin itself) produces gibberish

version graph

Package: pidgin; Maintainer for pidgin is Ari Pollak <ari@debian.org>; Source for pidgin is src:pidgin.

Reported by: Gerfried Fuchs <rhonda@debian.at>

Date: Wed, 9 Jul 2008 09:06:01 UTC

Severity: normal

Tags: unreproducible

Found in version pidgin/2.4.3-1

Fixed in version 2.4.3-2

Done: Gerfried Fuchs <rhonda@deb.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Robert McQueen <robot101@debian.org>:
Bug#490010; Package pidgin. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.at>:
New Bug report received and forwarded. Copy sent to Robert McQueen <robot101@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pasting formated text (from GUI browsers or pidgin itself) produces gibberish
Date: Wed, 9 Jul 2008 11:02:49 +0200
Package: pidgin
Version: 2.4.3-1
Severity: important

        Hi!

 Since the update to 2.4.3 I am unable to paste anything formated into
pidgin anymore. Before I was able to paste complete paragraphs from
wikipedia including all links and formating or even as simple as chat
history for protocols that support colours without any troubles into the
input section of the chat.

 Now it produces absolute gibberish. This is what I get for pasting a
link to http://xkcd.com/447/ from chat history:
㰀昀漀渀琀 猀椀稀攀㴀∀㌀∀㸀㰀愀 栀爀攀昀㴀∀栀琀琀瀀㨀⼀⼀砀欀挀搀⸀挀漀洀⼀㐀㐀㜀⼀∀㸀栀琀琀瀀㨀⼀⼀砀欀挀搀⸀挀漀洀⼀㐀㐀㜀⼀㰀⼀愀㸀 㰀⼀昀漀渀琀㸀

 Currently I paste everything into gvim and from there back to pidgin to
lose the formating, such pasting works. But that is a highly
unconvenient workaround - and it loses informations on the way.

 If you need any further informations, please ask me. I guess you know
where to reach me. ;)

 So long,
Rhonda

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.25-2-powerpc
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages pidgin depends on:
ii  gconf2                        2.22.0-1   GNOME configuration database syste
ii  libatk1.0-0                   1.22.0-1   The ATK accessibility toolkit
ii  libc6                         2.7-10     GNU C Library: Shared libraries
ii  libcairo2                     1.6.4-6    The Cairo 2D vector graphics libra
ii  libdbus-1-3                   1.2.1-2    simple interprocess messaging syst
ii  libdbus-glib-1-2              0.76-1     simple interprocess messaging syst
ii  libglib2.0-0                  2.16.3-2   The GLib library of C routines
ii  libgstreamer0.10-0            0.10.19-3  Core GStreamer libraries and eleme
ii  libgtk2.0-0                   2.12.10-2  The GTK+ graphical user interface 
ii  libgtkspell0                  2.0.13-1   a spell-checking addon for GTK's T
ii  libice6                       2:1.0.4-1  X11 Inter-Client Exchange library
ii  libpango1.0-0                 1.20.3-2   Layout and rendering of internatio
ii  libpurple0                    2.4.3-1    multi-protocol instant messaging l
ii  libsm6                        2:1.0.3-2  X11 Session Management library
ii  libstartup-notification0      0.9-1      library for program launch feedbac
ii  libx11-6                      2:1.1.4-2  X11 client-side library
ii  libxss1                       1:1.1.3-1  X11 Screen Saver extension library
ii  perl                          5.10.0-11  Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.10.0]    5.10.0-11  The Pathologically Eclectic Rubbis
ii  pidgin-data                   2.4.3-1    multi-protocol instant messaging c

Versions of packages pidgin recommends:
ii  gstreamer0.10-plugins-base    0.10.19-2  GStreamer plugins from the "base" 
ii  gstreamer0.10-plugins-good    0.10.8-4   GStreamer plugins from the "good" 

-- no debconf information




Severity set to `normal' from `important' Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Mon, 14 Jul 2008 22:51:05 GMT) Full text and rfc822 format available.

Tags added: unreproducible Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Mon, 14 Jul 2008 22:51:06 GMT) Full text and rfc822 format available.

Message sent on to Gerfried Fuchs <rhonda@debian.at>:
Bug#490010. Full text and rfc822 format available.

Message #12 received at 490010-submitter@bugs.debian.org (full text, mbox):

From: Ari Pollak <ari@debian.org>
To: control@bugs.debian.org
Cc: 490010-submitter@bugs.debian.org
Subject: Re: Bug#490010: pasting formated text (from GUI browsers or pidgin itself) produces gibberish
Date: Mon, 14 Jul 2008 18:49:58 -0400
severity 490010 normal
tags 490010 +unreproducible




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#490010; Package pidgin. Full text and rfc822 format available.

Acknowledgement sent to Tim Allen <screwtape@froup.com>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #17 received at 490010@bugs.debian.org (full text, mbox):

From: Tim Allen <screwtape@froup.com>
To: 490010@bugs.debian.org
Subject: Pasting text from Pidgin into itself produces gibberish
Date: Sat, 23 Aug 2008 20:48:42 +1000
This happens every time I paste text from a Pidgin chat window into the
text-box at the bottom.

Steps to reproduce:
 - Double click on a contact in your buddy list to open a chat window.
 - In the text box at the bottom, type "wocka wocka" (or anything else)
 - Select the text with the mouse, then right-click and choose 'copy'.
 - Click after the text to deselect it.
 - Right-click in the empty space, then choose "Paste as plain text".
   The text "wocka wocka" should appear.
 - Right-click in the empty space again, then choose "Paste".

Expected result:
 - A third copy of the text "wocka wocka" should appear.

Actual result:
 - The text "眀漀挀欀愀 眀漀挀欀愀" appears.

I notice that the first character of the gibberish replacement is
U+7700, while the intended text begins with the character U+0077.

Given that both I and the original reporter are using the PowerPC
architecture, I strongly suspect Pidgin has some bad endianness
assumptions.




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#490010; Package pidgin. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #22 received at 490010@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Tim Allen <screwtape@froup.com>, 490010@bugs.debian.org
Cc: control@bugs.debian.org, Ari Pollak <ari@debian.org>
Subject: Re: Bug#490010: Pasting text from Pidgin into itself produces gibberish
Date: Mon, 25 Aug 2008 10:20:47 +0200
reassign 490010 libgtk2.0-0
thanks

* Tim Allen <screwtape@froup.com> [2008-08-23 12:48:42 CEST]:
> This happens every time I paste text from a Pidgin chat window into the
> text-box at the bottom.

 It even happened with pastes to evolution, so it's not a pidgin problem
but rather a gtkhtml widget thing, I guess.

> Steps to reproduce:
>  - Double click on a contact in your buddy list to open a chat window.
>  - In the text box at the bottom, type "wocka wocka" (or anything else)
>  - Select the text with the mouse, then right-click and choose 'copy'.
>  - Click after the text to deselect it.
>  - Right-click in the empty space, then choose "Paste as plain text".
>    The text "wocka wocka" should appear.
>  - Right-click in the empty space again, then choose "Paste".
> 
> Expected result:
>  - A third copy of the text "wocka wocka" should appear.
> 
> Actual result:
>  - The text "眀漀挀欀愀 眀漀挀欀愀" appears.
> 
> I notice that the first character of the gibberish replacement is
> U+7700, while the intended text begins with the character U+0077.
> 
> Given that both I and the original reporter are using the PowerPC
> architecture, I strongly suspect Pidgin has some bad endianness
> assumptions.

 Hmm, your analysis makes it really sound like a it's an endianness bug.
we now only have to find in what code it might be ...

 So long,
Rhonda




Bug reassigned from package `pidgin' to `libgtk2.0-0'. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Mon, 25 Aug 2008 08:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#490010; Package libgtk2.0-0. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #29 received at 490010@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Tim Allen <screwtape@froup.com>, 490010@bugs.debian.org
Subject: Re: Bug#490010: Pasting text from Pidgin into itself produces gibberish
Date: Mon, 25 Aug 2008 15:19:45 +0200
* Gerfried Fuchs <rhonda@deb.at> [2008-08-25 10:20:47 CEST]:
> * Tim Allen <screwtape@froup.com> [2008-08-23 12:48:42 CEST]:
> > Given that both I and the original reporter are using the PowerPC
> > architecture, I strongly suspect Pidgin has some bad endianness
> > assumptions.
> 
>  Hmm, your analysis makes it really sound like a it's an endianness bug.
> we now only have to find in what code it might be ...

 You are absolutely right, btw! I did paste a text into the input box,
selected that again, and pasted again - it came back properly. That is,
paste anything into there, ctrl-a, ctrl-c, ctrl-v did reverse the
mispasted stuff.

 With that we have at least a workaround - but no solution. But that the
changes are reversible should give at least some ideas.

 So long,
Rhonda




Bug reassigned from package `libgtk2.0-0' to `pidgin'. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 26 Aug 2008 07:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#490010; Package pidgin. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #36 received at 490010@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: 490010@bugs.debian.org
Cc: Ari Pollak <ari@debian.org>
Subject: Re: Bug#490010: Pasting text from Pidgin into itself produces gibberish
Date: Tue, 26 Aug 2008 09:53:33 +0200
* Gerfried Fuchs <rhonda@deb.at> [2008-08-25 10:20:47 CEST]:
> * Tim Allen <screwtape@froup.com> [2008-08-23 12:48:42 CEST]:
> > This happens every time I paste text from a Pidgin chat window into the
> > text-box at the bottom.
> 
>  It even happened with pastes to evolution, so it's not a pidgin problem
> but rather a gtkhtml widget thing, I guess.

 Sorry, misinterpretation on my end, evolution doesn't have this bug, no
idea why I haven't tried again before reassigning. It really only
happens with pidgin - and it seems only on big endian systems.

 Back to investigating.
Rhonda




Bug marked as found in version 2.4.3-1. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 08 Sep 2008 12:09:02 GMT) Full text and rfc822 format available.

Reply sent to Gerfried Fuchs <rhonda@deb.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gerfried Fuchs <rhonda@debian.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 490010-done@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Tim Allen <screwtape@froup.com>, 490010-done@bugs.debian.org
Subject: Re: Bug#490010: Pasting text from Pidgin into itself produces gibberish
Date: Mon, 8 Sep 2008 14:08:51 +0200
Version: 2.4.3-2

* Gerfried Fuchs <rhonda@deb.at> [2008-08-25 15:19:45 CEST]:
> * Gerfried Fuchs <rhonda@deb.at> [2008-08-25 10:20:47 CEST]:
> > * Tim Allen <screwtape@froup.com> [2008-08-23 12:48:42 CEST]:
> > > Given that both I and the original reporter are using the PowerPC
> > > architecture, I strongly suspect Pidgin has some bad endianness
> > > assumptions.
> > 
> >  Hmm, your analysis makes it really sound like a it's an endianness bug.
> > we now only have to find in what code it might be ...
> 
>  You are absolutely right, btw! I did paste a text into the input box,
> selected that again, and pasted again - it came back properly. That is,
> paste anything into there, ctrl-a, ctrl-c, ctrl-v did reverse the
> mispasted stuff.
> 
>  With that we have at least a workaround - but no solution. But that the
> changes are reversible should give at least some ideas.

 It is fixed for me again, propably with the upgrade to 2.4.3-2. No idea
if there was something fishy in the build of 2.4.3-1 on powerpc or if
there were real changes behind the curtains here - but it works for me
again.

 From my point of view there is no reason to keep this bug opened any
longer.

 Thanks, and sorry for the confusions surrounding this problem.
Rhonda




Message #44 received at 490010-done@bugs.debian.org (full text, mbox):

From: Tim Allen <screwtape@froup.com>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: 490010-done@bugs.debian.org
Subject: Re: Bug#490010: Pasting text from Pidgin into itself produces gibberish
Date: Sat, 13 Sep 2008 19:43:41 +1000
On Mon, Sep 08, 2008 at 02:08:51PM +0200, Gerfried Fuchs wrote:
> Version: 2.4.3-2

>  It is fixed for me again, propably with the upgrade to 2.4.3-2. No idea
> if there was something fishy in the build of 2.4.3-1 on powerpc or if
> there were real changes behind the curtains here - but it works for me
> again.

Sadly, the bug is not fixed for me with 2.4.3-2; it behaves in exactly
the same way.




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#490010; Package pidgin. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #49 received at 490010@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Tim Allen <screwtape@froup.com>
Cc: 490010@bugs.debian.org
Subject: Re: Bug#490010: Pasting text from Pidgin into itself produces gibberish
Date: Mon, 15 Sep 2008 10:22:33 +0200
* Tim Allen <screwtape@froup.com> [2008-09-13 11:43:41 CEST]:
> On Mon, Sep 08, 2008 at 02:08:51PM +0200, Gerfried Fuchs wrote:
> > Version: 2.4.3-2
> 
> >  It is fixed for me again, propably with the upgrade to 2.4.3-2. No idea
> > if there was something fishy in the build of 2.4.3-1 on powerpc or if
> > there were real changes behind the curtains here - but it works for me
> > again.
> 
> Sadly, the bug is not fixed for me with 2.4.3-2; it behaves in exactly
> the same way.

 Hmm, strange. But I started to think it might not be pidgin itself. Do
you have your system upgraded completely to current lenny, or do you
still lag behind a bit in some libraries? If so, can you try to do the
full upgrade to current lenny and check again?

 Thanks,
Rhonda




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#490010; Package pidgin. Full text and rfc822 format available.

Acknowledgement sent to Tim Allen <screwtape@froup.com>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #54 received at 490010@bugs.debian.org (full text, mbox):

From: Tim Allen <screwtape@froup.com>
To: Gerfried Fuchs <rhonda@deb.at>, 490010@bugs.debian.org
Subject: Re: Bug#490010: Pasting text from Pidgin into itself produces gibberish
Date: Mon, 15 Sep 2008 23:00:44 +1000
On Mon, 15 Sep 2008 10:22:33 +0200
Gerfried Fuchs <rhonda@deb.at> wrote:
>  Hmm, strange. But I started to think it might not be pidgin itself.
> Do you have your system upgraded completely to current lenny, or do
> you still lag behind a bit in some libraries? If so, can you try to
> do the full upgrade to current lenny and check again?

Hm, well, this is embarrassing. When I sent my previous email, I'd
carefully checked to make sure my pidgin was up-to-date then shut it
down and restarted it to make sure I was running the latest installed
version, then tested and reproduced the problem easily.

I hadn't restarted or even logged out by the time your reply arrived
today, and yet now when I test it, pidgin's copy and paste works
flawlessly.

Sorry to have bothered you.

(I run full-upgrade every day when apticron reminds me, so I believe I
would have been up-to-date all along)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Oct 2008 07:27:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:18:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.